# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dbx-core"
version = "0.2.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High-performance file-based database engine with 5-Tier Hybrid Storage"
homepage = "https://bytelogiccore-spec.github.io/DBX/"
readme = "README.md"
license = "MIT"
repository = "https://github.com/bytelogiccore-spec/DBX"
resolver = "2"

[features]
default = [
    "wal",
    "mvcc",
    "index",
]
gpu = ["cudarc"]
index = []
jit = []
logging = ["tracing-subscriber"]
minimal = []
mvcc = []
wal = []

[lib]
name = "dbx_core"
path = "src/lib.rs"

[dependencies.aes-gcm-siv]
version = "0.11"

[dependencies.ahash]
version = "0.8"

[dependencies.arrow]
version = "54"
features = [
    "prettyprint",
    "ipc",
]

[dependencies.base64]
version = "0.22"

[dependencies.bincode]
version = "1"

[dependencies.bytes]
version = "1.0"

[dependencies.chacha20poly1305]
version = "0.10"

[dependencies.chrono]
version = "0.4"

[dependencies.crc32fast]
version = "1.4"

[dependencies.cron]
version = "0.12"

[dependencies.crossbeam-skiplist]
version = "0.1"

[dependencies.cudarc]
version = "0.19.2"
features = [
    "driver",
    "nvrtc",
    "cuda-12050",
]
optional = true

[dependencies.dashmap]
version = "6.1"

[dependencies.futures]
version = "0.3.32"

[dependencies.hkdf]
version = "0.12"

[dependencies.lru]
version = "0.12"

[dependencies.num_cpus]
version = "1.16"

[dependencies.parking_lot]
version = "0.12"

[dependencies.parquet]
version = "54"
features = ["arrow"]

[dependencies.rand]
version = "0.8"

[dependencies.rayon]
version = "1.10"

[dependencies.rcgen]
version = "0.13"

[dependencies.reed-solomon-erasure]
version = "6.0"

[dependencies.s2n-quic]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10"

[dependencies.smallvec]
version = "1.15"

[dependencies.sqlparser]
version = "0.52"

[dependencies.tempfile]
version = "3.24"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "rt",
    "macros",
    "rt-multi-thread",
    "time",
    "net",
    "io-util",
]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "fmt",
]
optional = true

[dependencies.wide]
version = "0.7"

[dependencies.zstd]
version = "0.13"

[dev-dependencies]
